Get network list

Prev Next

Available in VPC

Get the list of blockchain networks.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/networks (Korea Region)
GET /api/sgn-v1/networks (Singapore Region)

Request headers

For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
page Integer Optional Page number
  • 0 (default)
size Integer Optional Query result list size
  • 20 (default)
sort String Optional Sort by
  • ascending (default)
  • networkId | networkName | nksClusterName | networkStatus | createDt | updateDt
    • networkId: network ID
    • networkName: network name
    • nksClusterName: Ncloud Kubernetes Service cluster name
    • networkStatus: network status
    • createDt: network creation date and time
    • updateDt: network modification date and time

Request example

The following is a sample request.

curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks?page=0&size=20&sort=networkName' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content Array - Content details: content
totalElements Long - Total number of blockchain networks
totalPages Integer - Total number of pages

content

The following describes content.

Field Type Required Description
networkId Long - Network ID
networkName String - Network name
nksClusterName String - Ncloud Kubernetes Service cluster name
status String - Network status
  • ACTIVE | DEPLOY | DELETE
    • ACTIVE: running
    • DEPLOY: deploying
    • DELETE: deleting
createDate LocalDateTime - Network creation date and time
  • YYYY-MM-DDTHH:MM:SS+0000 format
updateDate LocalDateTime - Network modification date and time
  • YYYY-MM-DDTHH:MM:SS+0000 format

Response status codes

For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.

Response example

The following is a sample example.

{
    "content": [
        {
            "networkId": 1630,
            "networkName": "******-blockchain-test1",
            "nksClusterName": "blockchain-test (1.28.10)",
            "status": "ACTIVE",
            "createDate": "2024-07-29T07:25:39+0000",
            "updateDate": "2024-07-29T07:30:59+0000"
        },
        {
            "networkId": 1635,
            "networkName": "******-blockchain-test2",
            "nksClusterName": "blockchain-test (1.28.10)",
            "status": "DEPLOY",
            "createDate": "2024-08-06T06:27:24+0000",
            "updateDate": "2024-08-06T06:27:24+0000"
        }
    ],
    "totalElements": 2,
    "totalPages": 1
}